//---------------------------------------------------------------------------

#ifndef ChosenKolonnaH
#define ChosenKolonnaH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include "Sect_Param.h"
#include "ParamChoseSect.h"
//---------------------------------------------------------------------------
class TChosenKolonnaForm : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *GroupBox2;
        TBitBtn *BitBtnDone;
        TBitBtn *BitBtn_SetAnalyse;
        TBitBtn *BitBtn_Cancel;
        TBitBtn *BitBtn_Return;
        TLabel *Label_Mz;
        TLabel *Label_Nx;
        TLabel *Label_Qy;
        TBitBtn *BitBtn_ChoiceSelect;
        TCheckBox *CheckBox_simmetric;
        TSect_ParamFrame *Sect_ParamFrame1;
        TBitBtn *BitBtn_SetParam;
        TListBox *ListBoxChosen;
        TLabel *Label_Comb;
        TToolBar *ToolBar1;
        TToolButton *ToolButtonNoContour;
        TToolButton *ToolButtonBeamDiagram;
        TToolButton *ToolButton1;
        TToolButton *ToolButton2;
        TToolButton *ToolButton3;
        TToolButton *ToolButton4;
        TParamChoseSect_Frame *ParamChoseSect_Frame1;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall Sect_ParamFrame1Button_ApplyClick(TObject *Sender);
        void __fastcall ListBoxChosenClick(TObject *Sender);
        void __fastcall ChangeSect(TObject *Sender);
        //void __fastcall BitBtnChosenClick(TObject *Sender);
        void __fastcall BitBtn_SetAnalyseClick(TObject *Sender);
        void __fastcall BitBtn_CancelClick(TObject *Sender);
        void __fastcall BitBtnDoneClick(TObject *Sender);
        void __fastcall BitBtn_ReturnClick(TObject *Sender);
        void __fastcall SetElem_in_Sect();
        void __fastcall ChoiseKolonna_Alg(int local_sect, double mu_x, double mu_y, double l_kol, double Nx, double Qy, double Mz, TObject * Sender);
        void __fastcall ChoiseKolonna_Alg0(int local_sect, double mu_x, double mu_y, double l_kol, double Nx, double Qy, double Mz, TObject * Sender);
        void __fastcall Get_LoadFactor();
        void __fastcall BitBtn_ChoiceSelectClick(TObject *Sender);
        int __fastcall GetParam();
        void __fastcall BitBtn_SetParamClick(TObject *Sender);
        int __fastcall Call_Static(bool flag_set_param, TObject *Sender);
        void __fastcall BitBtn_CloseClick(TObject *Sender);
        void __fastcall ToolButtonNoContourClick(TObject *Sender);
        void __fastcall ToolButtonBeamDiagramClick(TObject *Sender);
        void __fastcall CheckBox_gibClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall ToolButton1Click(TObject *Sender);
        void __fastcall ToolButton2Click(TObject *Sender);
        void __fastcall ToolButton3Click(TObject *Sender);
        void __fastcall ToolButton4Click(TObject *Sender);
        void __fastcall ParamChoseSect_Frame1BitBtn_AnalyseClick(
          TObject *Sender);
        void __fastcall ParamChoseSect_Frame1BitBtn_ExitClick(
          TObject *Sender);
        void __fastcall ParamChoseSect_Frame1BitBtn_CloseClick(
          TObject *Sender);
        void __fastcall ParamChoseSect_Frame1CheckBox_gibClick(
          TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TChosenKolonnaForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TChosenKolonnaForm *ChosenKolonnaForm;
//---------------------------------------------------------------------------
#endif
